Subject: [Netmod-ver-dt] YANG packages draft - pruning the open issues

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Mon, 7 Oct 2019 14:18:28 +0000

I have quite a lot of open issues that I've used to track changes to the packaging draft and I so I propose closing the following issues with the stated resolution.

1)<https://github.com/rgwilton/YANG-Packages-Draft/issues/5> Should partial packages (e.g. not referentially complete) be allowed?<https://github.com/rgwilton/YANG-Packages-Draft/issues/5>
Yes, the draft allows for these.

2) Add a parent-version field<https://github.com/rgwilton/YANG-Packages-Draft/issues/6>
Added.

3) Should features be listed per module, or per package, or globally<https://github.com/rgwilton/YANG-Packages-Draft/issues/7>
Raised by Lada.  I would like the features to be defined at the package/schema level for conciseness - to avoid having to report every module.

4) Should the package definitions be part of YANG library?<https://github.com/rgwilton/YANG-Packages-Draft/issues/10>
Probably yes, in the sense that they reuse the module set information to avoid duplication of data.

5) Augment YANG library, or new version?<https://github.com/rgwilton/YANG-Packages-Draft/issues/11>
The scope of packages is quite a lot bigger than YANG library, so augmenting YANG library seems like the right choice unless the WG pushes in another direction.

6) Should package definitions differ between YANG library and instance data docs?<https://github.com/rgwilton/YANG-Packages-Draft/issues/12>
Yes.  This seems like naturally the right thing to do, to avoid duplicating information on the server.

7) Allow multiple package definitions in an instance data document?<https://github.com/rgwilton/YANG-Packages-Draft/issues/19>
No.  Modules are one per file, and if the checksum idea is accepted then that requires packages to be one per file.  Propose closing.

8) What should the unique identifier for a YANG package be?<https://github.com/rgwilton/YANG-Packages-Draft/issues/22>
Draft updated to use revision-label (i.e. not a date).

9) Should a top level package definition contain location/checksum?<https://github.com/rgwilton/YANG-Packages-Draft/issues/23>
Yes to containing a location, no to it containing a checksum (because it can't).

10) Add contact/organization to a package definition?<https://github.com/rgwilton/YANG-Packages-Draft/issues/24>
Done.

11) Selecting features<https://github.com/rgwilton/YANG-Packages-Draft/issues/27>
When a package is used to represent a schema it can define all features that are implemented (without needing to list the modules).

12) Add NBC leaf?<https://github.com/rgwilton/YANG-Packages-Draft/issues/28>
There is now a leaf to indicate that a package version is NBC w.r.t. the referenced 'previous-version'.

13) Ensure that definition of BC vs NBC change is well defined between the documents<https://github.com/rgwilton/YANG-Packages-Draft/issues/30>
Resolved.  The document only defined BC/NBC for packages, and otherwise uses the definitions form the other versioning drafts.

Thanks,
Rob